# QGraphicsPolygonItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractGraphicsShapeItem.

### Constructor

- void QGraphicsPolygonItem(QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsPolygonItem(QPolygonF polygon, QGraphicsItem parent, QGraphicsScene scene)

### Constructor Properties

- prototype: The QGraphicsPolygonItem prototype object

### Prototype Object Properties

The QGraphicsPolygonItem prototype object inherits properties from the QAbstractGraphicsShapeItem prototype object and also has the following properties.

- FillRule fillRule()
- QPolygonF polygon()
- void setFillRule(FillRule rule)
- void setPolygon(QPolygonF polygon)

### Instance Properties

QGraphicsPolygonItem objects have no special properties beyond those inherited from the QGraphicsPolygonItem prototype object.